function hideBackgroundLayer(id)
{
  document.getElementById(id).style.display = 'none';
  document.getElementById(id + '-keys').style.display = 'none';
}

function updateBackground(id)
{
  hideBackgroundLayer('altitude');
  hideBackgroundLayer('biomes');
  hideBackgroundLayer('rainfall');
  hideBackgroundLayer('temperature');
  hideBackgroundLayer('blank');
  document.getElementById(id).style.display = 'inline';
  document.getElementById(id + '-keys').style.display = 'block';
}

function toggleLayer(id)
{
  var display = document.getElementById(id).style.display;
  if (display == 'none') {
    document.getElementById(id).style.display = 'inline';
  } else {
    document.getElementById(id).style.display = 'none';
  }
}
